## hipercontracer 1.6.3

=== CMakeLists.txt ===
#  =================================================================
#           #     #                 #     #
#           ##    #   ####   #####  ##    #  ######   #####
#           # #   #  #    #  #    # # #   #  #          #
#           #  #  #  #    #  #    # #  #  #  #####      #
#           #   # #  #    #  #####  #   # #  #          #
#           #    ##  #    #  #   #  #    ##  #          #
#           #     #   ####   #    # #     #  ######     #
#
#        ---   The NorNet Testbed for Multi-Homed Systems  ---
#                        https://www.nntb.no
#  =================================================================
#
#  High-Performance Connectivity Tracer (HiPerConTracer)
#  Copyright (C) 2015-2020 by Thomas Dreibholz
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#  Contact: dreibh@simula.no


CMAKE_MINIMUM_REQUIRED(VERSION 3.0.2)
PROJECT(hipercontracer LANGUAGES C CXX)

SET(BUILD_MAJOR "1")
SET(BUILD_MINOR "6")
SET(BUILD_PATCH "3")
SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})

SET(CMAKE_CXX_STANDARD 14)
SET(CMAKE_CXX_STANDARD_REQUIRED ON)
SET(CMAKE_CXX_EXTENSIONS OFF)


#############################################################################
# INSTALLATION_DIRECTORIES
#############################################################################

# See: https://cmake.org/cmake/help/v3.0/module/GNUInstallDirs.html
INCLUDE(GNUInstallDirs)


#################################################
# PACKAGING
#################################################

SET(CPACK_SOURCE_GENERATOR "TXZ")
SET(CPACK_SOURCE_PACKAGE_FILE_NAME
   "${CMAKE_PROJECT_NAME}-${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH}")
SET(CPACK_SOURCE_IGNORE_FILES
   "${PROJECT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}-*;${PROJECT_SOURCE_DIR}/${CMAKE_PROJECT_NAME}_*;/build/;/.git/;/config.log;/CMakeFiles/;CMakeCache.txt$;.cmake$;.tar.gz$;/_CPack_Packages;/Makefile$;~$;/build-deb;/clean-deb;/filter-empty-entries;/make-symbols;/make-ppa;/make-deb;/debian.conf;/make-rpm;/rpm.conf;${CPACK_SOURCE_IGNORE_FILES}")
INCLUDE(CPack)

ADD_CUSTOM_TARGET(dist COMMAND ${CMAKE_MAKE_PROGRAM} clean package_source)


INCLUDE(CheckIncludeFile)
INCLUDE(CheckStructHasMember)


#################################################
# UNINSTALL
#################################################

IF(NOT TARGET uninstall)
   configure_file(
      "${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in"
      "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake"
      IMMEDIATE @ONLY)

   ADD_CUSTOM_TARGET(uninstall
      COMMAND ${CMAKE_COMMAND} -P ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake)
ENDIF()


#################################################
# OS DEPENDENT
#################################################

IF (${CMAKE_SYSTEM_NAME} MATCHES "Linux")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "FreeBSD")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/local/include")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "Darwin")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    SET(CMAKE_REQUIRED_INCLUDES "/usr/local/include" "/usr/include" "/usr/local/opt/openssl/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/local/include" "/usr/local/opt/openssl/include")

ELSEIF (${CMAKE_SYSTEM_NAME} MATCHES "NetBSD")
    MESSAGE(STATUS ${CMAKE_SYSTEM_NAME} " supported")
    SET(CMAKE_REQUIRED_INCLUDES "/usr/pkg/include" "/usr/include" "/usr/local/include")
    SET(CMAKE_LIBRARY_PATH "/usr/local/lib")
    INCLUDE_DIRECTORIES("/usr/pkg/include" "/usr/local/include")

ELSE()
    MESSAGE(FATAL_ERROR ${CMAKE_SYSTEM_NAME} " not supported (yet?)")

ENDIF()


#############################################################################
# COMPILER FLAGS
#############################################################################

SET(CMAKE_C_FLAGS   "${CMAKE_C_FLAGS}   -O2 -Wall")
SET(CMAKE_CXX_FLAGS "${CMAKE_CXX_FLAGS} -O2 -Wall")

IF (CMAKE_BUILD_TYPE MATCHES DEBUG)
    MESSAGE(STATUS "Building in DEBUG mode")
    # _FORTIFY_SOURCE requires compiling with optimization
    SET(CMAKE_C_FLAGS "${CMAKE_C_FLAGS} -O")
ENDIF()


#############################################################################
# CHECK STRUCT MEMBERS
#############################################################################

CHECK_STRUCT_HAS_MEMBER("struct sockaddr" "sa_len" "sys/types.h;sys/socket.h" HAVE_SA_LEN)
IF (HAVE_SA_LEN)
    MESSAGE(STATUS "HAVE_SA_LEN")
    ADD_DEFINITIONS(-DHAVE_SA_LEN)
ENDIF()

CHECK_STRUCT_HAS_MEMBER("struct sockaddr_in" "sin_len" "sys/types.h;netinet/in.h" HAVE_SIN_LEN)
IF (HAVE_SIN_LEN)
    MESSAGE(STATUS "HAVE_SIN_LEN")
    ADD_DEFINITIONS(-DHAVE_SIN_LEN)
ENDIF()

CHECK_STRUCT_HAS_MEMBER("struct sockaddr_in6" "sin6_len" "sys/types.h;netinet/in.h" HAVE_SIN6_LEN)
IF (HAVE_SIN6_LEN)
    MESSAGE(STATUS "HAVE_SIN6_LEN")
    ADD_DEFINITIONS(-DHAVE_SIN6_LEN)
ENDIF()

CHECK_STRUCT_HAS_MEMBER("struct sockaddr_storage" "ss_len" "sys/types.h;sys/socket.h" HAVE_SS_LEN)
IF (HAVE_SS_LEN)
    MESSAGE(STATUS "HAVE_SS_LEN")
    ADD_DEFINITIONS(-DHAVE_SS_LEN)
ENDIF()


#############################################################################
# REQUIREMENTS
#############################################################################

# ###### Threads ############################################################
FIND_PACKAGE(Threads REQUIRED)

# ###### Boost ##############################################################
FIND_PACKAGE(Boost REQUIRED COMPONENTS log date_time system thread iostreams filesystem program_options)
IF (NOT Boost_FOUND)
   MESSAGE(FATAL_ERROR "Cannot find Boost libraries!")
ELSE()
  INCLUDE_DIRECTORIES(${Boost_INCLUDE_DIRS})
ENDIF()
ADD_DEFINITIONS(-DBOOST_ALL_DYN_LINK)   # <<-- Required to handle BOOST Log link problem!


#############################################################################
# SUBDIRECTORIES
#############################################################################

ADD_SUBDIRECTORY(src)

=== src/CMakeLists.txt ===
#  =================================================================
#           #     #                 #     #
#           ##    #   ####   #####  ##    #  ######   #####
#           # #   #  #    #  #    # # #   #  #          #
#           #  #  #  #    #  #    # #  #  #  #####      #
#           #   # #  #    #  #####  #   # #  #          #
#           #    ##  #    #  #   #  #    ##  #          #
#           #     #   ####   #    # #     #  ######     #
#
#        ---   The NorNet Testbed for Multi-Homed Systems  ---
#                        https://www.nntb.no
#  =================================================================
#
#  High-Performance Connectivity Tracer (HiPerConTracer)
#  Copyright (C) 2015-2020 by Thomas Dreibholz
#
#  This program is free software: you can redistribute it and/or modify
#  it under the terms of the GNU General Public License as published by
#  the Free Software Foundation, either version 3 of the License, or
#  (at your option) any later version.
#
#  This program is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with this program.  If not, see <http://www.gnu.org/licenses/>.
#
#  Contact: dreibh@simula.no


#############################################################################
# LIBRARIES
#############################################################################

# ====== liblibhipercontracer ==============================================
LIST(APPEND libhipercontracer_headers
   destinationinfo.h
   logger.h
   ping.h
   resultentry.h
   resultswriter.h
   service.h
   tools.h
   traceroute.h
)
LIST(APPEND libhipercontracer_sources
   destinationinfo.cc
   logger.cc
   ping.cc
   resultentry.cc
   resultswriter.cc
   service.cc
   traceroute.cc
   tools.cc
)

INSTALL(FILES ${libhipercontracer_headers} DESTINATION ${CMAKE_INSTALL_INCLUDEDIR}/hipercontracer)

ADD_LIBRARY(libhipercontracer-shared SHARED ${libhipercontracer_sources})
ADD_LIBRARY(libhipercontracer-static STATIC ${libhipercontracer_sources})
FOREACH(TYPE shared;static)
   SET_TARGET_PROPERTIES(libhipercontracer-${TYPE} PROPERTIES OUTPUT_NAME hipercontracer CLEAN_DIRECT_OUTPUT 1)
   SET_TARGET_PROPERTIES(libhipercontracer-${TYPE} PROPERTIES
      VERSION   ${BUILD_VERSION}
      SOVERSION ${BUILD_MAJOR}
   )
   TARGET_LINK_LIBRARIES (libhipercontracer-${TYPE} ${Boost_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
   INSTALL(TARGETS libhipercontracer-${TYPE} DESTINATION ${CMAKE_INSTALL_LIBDIR})
ENDFOREACH()


#############################################################################
# PROGRAMS
#############################################################################

ADD_EXECUTABLE(hipercontracer hipercontracer.cc)
TARGET_LINK_LIBRARIES(hipercontracer libhipercontracer-shared ${Boost_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
INSTALL(TARGETS hipercontracer RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES hipercontracer.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

ADD_EXECUTABLE(hpcttrigger hpcttrigger.cc)
TARGET_LINK_LIBRARIES(hpcttrigger libhipercontracer-shared ${Boost_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
INSTALL(TARGETS hpcttrigger RUNTIME DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES hpcttrigger.1 DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)

INSTALL(PROGRAMS tracedataimporter get-default-ips addressinfogenerator
        DESTINATION ${CMAKE_INSTALL_BINDIR})
INSTALL(FILES tracedataimporter.1 get-default-ips.1 addressinfogenerator.1
        DESTINATION ${CMAKE_INSTALL_MANDIR}/man1)


# Test only:
# ADD_EXECUTABLE(t1 t1.cc)
# ADD_EXECUTABLE(t2 t2.cc)
# ADD_EXECUTABLE(t3 t3.cc)


#############################################################################
# EXAMPLES
#############################################################################

INSTALL(FILES hipercontracer-database-configuration
        DESTINATION ${CMAKE_INSTALL_DATADIR}/doc/hipercontracer/examples)


#############################################################################
# SUBDIRECTORIES
#############################################################################

ADD_SUBDIRECTORY(SQL)
ADD_SUBDIRECTORY(NoSQL)

=== debian/changelog ===
hipercontracer (1.6.3-1) unstable; urgency=medium

  * Closes: #997090 (ITP).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Mon, 08 Nov 2021 20:11:16 +0100

=== debian/rules ===
#!/usr/bin/make -f

# export DH_VERBOSE = 1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --buildsystem=cmake

override_dh_auto_configure:
	dh_auto_configure --

override_dh_strip:
	dh_strip -phipercontracer
	dh_strip -phipercontracer-trigger
	dh_strip -plibhipercontracer-dev
	dh_strip -plibhipercontracer1
	strip --strip-debug --remove-section=.comment --remove-section=.note debian/libhipercontracer-dev/usr/lib/*/lib*.a

# Use upstream ChangeLog for installation
override_dh_installchangelogs:
	dh_installchangelogs -k ChangeLog

## hipercontracer 1.6.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -30,12 +30,12 @@
 #  Contact: dreibh@simula.no
 
 
-CMAKE_MINIMUM_REQUIRED(VERSION 3.0.2)
+CMAKE_MINIMUM_REQUIRED(VERSION 3.5.1)
 PROJECT(hipercontracer LANGUAGES C CXX)
 
 SET(BUILD_MAJOR "1")
 SET(BUILD_MINOR "6")
-SET(BUILD_PATCH "3")
+SET(BUILD_PATCH "4")
 SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})
 
 SET(CMAKE_CXX_STANDARD 14)
@@ -159,6 +159,20 @@
 
 
 #############################################################################
+# COMPILER FLAGS
+#############################################################################
+
+SET(CMAKE_CXX_STANDARD 14)
+SET(CMAKE_CXX_STANDARD_REQUIRED ON)
+SET(CMAKE_CXX_EXTENSIONS OFF)
+
+IF(CMAKE_SYSTEM_PROCESSOR STREQUAL "riscv64")
+  STRING(APPEND CMAKE_C_STANDARD_LIBRARIES " -latomic")
+  STRING(APPEND CMAKE_CXX_STANDARD_LIBRARIES " -latomic")
+ENDIF()
+
+
+#############################################################################
 # REQUIREMENTS
 #############################################################################

=== debian/changelog ===
hipercontracer (1.6.4-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Fri, 03 Dec 2021 20:02:54 +0100

## hipercontracer 1.6.5

=== CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 #  =================================================================
 #
 #  High-Performance Connectivity Tracer (HiPerConTracer)
-#  Copyright (C) 2015-2020 by Thomas Dreibholz
+#  Copyright (C) 2015-2022 by Thomas Dreibholz
 #
 #  This program is free software: you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -35,7 +35,7 @@
 
 SET(BUILD_MAJOR "1")
 SET(BUILD_MINOR "6")
-SET(BUILD_PATCH "4")
+SET(BUILD_PATCH "5")
 SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})
 
 SET(CMAKE_CXX_STANDARD 14)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -12,7 +12,7 @@
 #  =================================================================
 #
 #  High-Performance Connectivity Tracer (HiPerConTracer)
-#  Copyright (C) 2015-2020 by Thomas Dreibholz
+#  Copyright (C) 2015-2022 by Thomas Dreibholz
 #
 #  This program is free software: you can redistribute it and/or modify
 #  it under the terms of the GNU General Public License as published by
@@ -111,3 +111,4 @@
 
 ADD_SUBDIRECTORY(SQL)
 ADD_SUBDIRECTORY(NoSQL)
+ADD_SUBDIRECTORY(examples)

=== debian/changelog ===
hipercontracer (1.6.5-1) unstable; urgency=medium

  * New upstream release.
  * CMakeLists.txt fix for reproducible Debian build (Closes: #1003995).

 -- Thomas Dreibholz <dreibh@iem.uni-due.de>  Wed, 16 Feb 2022 12:47:38 +0100

=== debian/control ===
Source: hipercontracer
Section: net
Priority: optional
Maintainer: Thomas Dreibholz <dreibh@iem.uni-due.de>
Homepage: https://www.uni-due.de/~be0001/hipercontracer/
Build-Depends: cmake (>= 3.0.2),
               debhelper-compat (= 13),
               libboost-date-time-dev,
               libboost-filesystem-dev,
               libboost-iostreams-dev,
               libboost-log-dev,
               libboost-program-options-dev,
               libboost-system-dev,
               libboost-thread-dev,
               pkg-config,
               python3
Standards-Version: 4.6.0.1
Rules-Requires-Root: no
Vcs-Git: https://github.com/dreibh/hipercontracer.git
Vcs-Browser: https://github.com/dreibh/hipercontracer

Package: libhipercontracer1
Section: libs
Architecture: any
Depends: ${misc:Depends},
         ${shlibs:Depends}
Description: API library of HiPerConTracer
 High-Performance Connectivity Tracer (HiPerConTracer) is a
 ping/traceroute service. It performs regular ping and traceroute runs
 among sites and can export the results into an SQL or Non-SQL database.
 .
 The HiPerConTracer library is provided by this package.

Package: libhipercontracer-dev
Section: libdevel
Architecture: any
Depends: libboost-date-time-dev,
         libboost-filesystem-dev,
         libboost-iostreams-dev,
         libboost-log-dev,
         libboost-system-dev,
         libboost-thread-dev,
         libhipercontracer1 (= ${binary:Version}),
         ${misc:Depends}
Description: Development files for HiPerConTracer API library
 High-Performance Connectivity Tracer (HiPerConTracer) is a
 ping/traceroute service. It performs regular ping and traceroute runs
 among sites and can export the results into an SQL or Non-SQL database.
 .
 This package provides header files for the HiPerConTracer library. You need
 them to integrate HiPerConTracer into own programs.

Package: hipercontracer
Architecture: any
Depends: libhipercontracer1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: hipercontracer-trigger,
            python3,
            python3-geoip,
            python3-psycopg2,
            python3-pymongo,
            python3-urllib3
Description: Command-line programs for HiPerConTracer
 High-Performance Connectivity Tracer (HiPerConTracer) is a
 ping/traceroute service. It performs regular ping and traceroute runs
 among sites and can export the results into an SQL or Non-SQL database.

Package: hipercontracer-trigger
Architecture: any
Depends: hipercontracer (= ${binary:Version}),
         libhipercontracer1 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends}
Recommends: python3,
            python3-geoip,
            python3-psycopg2,
            python3-pymongo,
            python3-urllib3
Description: Triggered HiPerConTracer service
 High-Performance Connectivity Tracer (HiPerConTracer) is a
 ping/traceroute service. It performs regular ping and traceroute runs
 among sites and can export the results into an SQL or Non-SQL database.
 This tool triggers HiPerConTracer by incoming "Ping" packets.

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://www.uni-due.de/~be0001/hipercontracer/index.html    download/hipercontracer-(.*)\.tar\.xz

## hipercontracer 1.6.7

=== CMakeLists.txt ===
--- 
+++ 
@@ -35,7 +35,7 @@
 
 SET(BUILD_MAJOR "1")
 SET(BUILD_MINOR "6")
-SET(BUILD_PATCH "5")
+SET(BUILD_PATCH "7")
 SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})
 
 SET(CMAKE_CXX_STANDARD 14)

=== debian/changelog ===
hipercontracer (1.6.7-1) unstable; urgency=medium

  * New upstream release.
  * debian/control: Updated standards version to 4.6.2.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Sun, 22 Jan 2023 22:44:08 +1100

## hipercontracer 1.6.9

=== debian/changelog ===
hipercontracer (1.6.9-1) unstable; urgency=medium

  * New upstream release.
  * Build fix for recent BOOST versions (Closes: #1029783).

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Thu, 21 Sep 2023 17:13:31 +0200

## hipercontracer 1.6.10

=== CMakeLists.txt ===
--- 
+++ 
@@ -35,7 +35,7 @@
 
 SET(BUILD_MAJOR "1")
 SET(BUILD_MINOR "6")
-SET(BUILD_PATCH "7")
+SET(BUILD_PATCH "10")
 SET(BUILD_VERSION ${BUILD_MAJOR}.${BUILD_MINOR}.${BUILD_PATCH})
 
 SET(CMAKE_CXX_STANDARD 14)

=== src/CMakeLists.txt ===
--- 
+++ 
@@ -93,6 +93,7 @@
 
 # Test only:
 # ADD_EXECUTABLE(t1 t1.cc)
+# TARGET_LINK_LIBRARIES(t1 ${Boost_LIBRARIES} ${CMAKE_THREAD_LIBS_INIT})
 # ADD_EXECUTABLE(t2 t2.cc)
 # ADD_EXECUTABLE(t3 t3.cc)

=== src/NoSQL/CMakeLists.txt ===
#################################################
# EXAMPLES
#################################################

INSTALL(FILES install-database-and-users admin.ms database.ms
              README R-query-example.R schema.ms users.ms
        DESTINATION ${CMAKE_INSTALL_DATADIR}/doc/hipercontracer/examples/NoSQL)

=== src/SQL/CMakeLists.txt ===
#################################################
# EXAMPLES
#################################################

INSTALL(FILES install-database-and-users login-as-importer login-as-researcher
              database.sql procedures.sql README schema.sql users.sql
        DESTINATION ${CMAKE_INSTALL_DATADIR}/doc/hipercontracer/examples/SQL)

=== src/examples/CMakeLists.txt ===
#############################################################################
# EXAMPLES
#############################################################################

INSTALL(FILES Ping-P256751-0.0.0.0-20211212T125352.632431-000000001.results.bz2
              Traceroute-P258235-0.0.0.0-20211212T132253.414640-000000001.results.bz2
              r-example.R
        DESTINATION ${CMAKE_INSTALL_DATADIR}/doc/hipercontracer/examples)

=== debian/changelog ===
hipercontracer (1.6.10-1build2) questing; urgency=medium

  * No-change rebuild for boost 1.88.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 11 Aug 2025 08:28:10 +0200

hipercontracer (1.6.10-1build1) noble; urgency=medium

  * No-change rebuild for boost defaults change.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 19 Dec 2023 15:50:30 +0100

hipercontracer (1.6.10-1) unstable; urgency=medium

  * New upstream release.

 -- Thomas Dreibholz <thomas.dreibholz@gmail.com>  Wed, 06 Dec 2023 16:54:11 +0100

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,8 @@
 Source: hipercontracer
 Section: net
 Priority: optional
-Maintainer: Thomas Dreibholz <dreibh@iem.uni-due.de>
-Homepage: https://www.uni-due.de/~be0001/hipercontracer/
+Maintainer: Thomas Dreibholz <thomas.dreibholz@gmail.com>
+Homepage: https://www.nntb.no/~dreibh/hipercontracer/
 Build-Depends: cmake (>= 3.0.2),
                debhelper-compat (= 13),
                libboost-date-time-dev,
@@ -14,10 +14,8 @@
                libboost-thread-dev,
                pkg-config,
                python3
-Standards-Version: 4.6.0.1
+Standards-Version: 4.6.2
 Rules-Requires-Root: no
-Vcs-Git: https://github.com/dreibh/hipercontracer.git
-Vcs-Browser: https://github.com/dreibh/hipercontracer
 
 Package: libhipercontracer1
 Section: libs

=== debian/rules ===
--- 
+++ 
@@ -7,7 +7,7 @@
 	dh $@ --buildsystem=cmake
 
 override_dh_auto_configure:
-	dh_auto_configure --
+	dh_auto_configure -- -DCMAKE_BUILD_RPATH_USE_ORIGIN=ON
 
 override_dh_strip:
 	dh_strip -phipercontracer

=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.asc/ \
https://www.nntb.no/~dreibh/hipercontracer/index.html    download/hipercontracer-(.*)\.tar\.xz
